Name:           tunir
Version:        0.13
Release:        1%{?dist}
Summary:        An ultra light CI system

License:        GPLv2+
URL:            http://tunir.rtfd.org
Source0:        http://pypi.python.org/packages/source/t/tunir/tunir-%{version}.tar.gz
BuildRequires:  python2-devel 
BuildRequires:  python-setuptools 
BuildRequires:  python-redis
BuildRequires:  python-paramiko

BuildArch:      noarch
Requires:       redis
Requires:       python-redis
Requires:       docker
Requires:       libguestfs-tools
Requires:       python-paramiko
Requires:       python-libcloud
Requires:       vagrant



%description
An ultra light CI system, specially targeting Cloud images. It can run the tests
inside of cloud VM(s), bare metal server, or even in Docker containers.

%prep
%setup -q
rm -rf *.egg-info

%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1  --root $RPM_BUILD_ROOT



%files
%doc README.rst
%license COPYING LICENSE
%{_bindir}/tunir
%{python2_sitelib}/tunirlib*
%{python2_sitelib}/tunir-*
%{_datadir}/tunir
%{_mandir}/man8/tunir.8.gz




%changelog
* Tue Feb 09 2016 Kushal Das <kushal@fedoraproject.org> 0.13-1
- Updates to 0.13 with AWS support

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 16 2015 Kushal Das <kushal@fedoraproject.org> 0.12-1
- Updates to 0.12 release

* Sat Nov 7 2015 Kushal Das <kushal@fedoraproject.org> 0.11-1
- Updates to 0.11 release

* Fri Oct 30 2015 Kushal Das <kushal@fedoraproject.org> 0.10-1
- Updates to 0.10 release

* Fri Oct 9 2015 Kushal Das <kushal@fedoraproject.org> 0.9-1
- Updates to 0.9 release

* Fri Sep 18 2015 Kushal Das <kushal@fedoraproject.org> 0.8-1
- Updates to 0.8 release

* Thu Sep 10 2015 Kushal Das <kushal@fedoraproject.org> 0.7.1-1
- Updates to 0.7.1 release

* Tue Sep 8 2015 Kushal Das <kushal@fedoraproject.org> 0.7-1
- Updates to 0.7 release

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 05 2015 Kushal Das <kushal@fedoraproject.org> 0.6-2
- Fixing dependency with docker.

* Fri Apr 17 2015 Kushal Das <kushal@fedoraproject.org> 0.6-1
- Updates to 0.6 release

* Mon Mar 23 2015 Kushal Das <kushal@fedoraproject.org> 0.5-1
- Updates to 0.5 release

* Wed Mar 18 2015 Kushal Das <kushal@fedoraproject.org> 0.4-1
- Updates to 0.4 release

* Wed Feb 11 2015 Kushal Das <kushal@fedoraproject.org> 0.3-1
- Updates to 0.3 release

* Wed Jan 21 2015 Kushal Das <kushal@fedoraproject.org> 0.2-1
- Updates to 0.2

* Mon Jan 19 2015 Kushal Das <kushal@fedoraproject.org> 0.1-1
- Initial package
